function testjpgsmanage(filename,filepath,mode)
%   This software is protected by german copyright and international treaties.             
%   Copyright 2004 Markus Junghöfer & Peter Peyk. All Rights Reserved.                     
%                                                                                          
%   THIS SOFTWARE AND DOCUMENTATION IS PROVIDED "AS IS," AND COPYRIGHT HOLDERS MAKE        
%   NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO,    
%   WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE    
%   OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS,
%   TRADEMARKS OR OTHER RIGHTS. COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT,       
%   INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE      
%   OR DOCUMENTATION.                                                                      
filezaehler=0;

defekt = cell(1);
defektzaehler = 1;
if mode==0
   modefehler
   return
   
   
% directory mode   
elseif mode==11
   cd (filepath);
   filelist=dir(filepath);
   filelistsize=size(filelist);
      
	% Schleife für Files
   for filezaehler=3:filelistsize(1)
      filename=filelist(filezaehler).name;
      testjpgs(filename,filepath);
   end
   ok
     
% batchfile mode   
elseif mode==12
    
   filemat=batchfiletomat(filename,filepath);
   filematgroessevec=size(filemat);
   filematgroesse=filematgroessevec(2);
   
   for l=1:filematgroesse
       tmp = testjpgs(filemat{l});
       if tmp == 0
           defekt{defektzaehler}=filemat{1};
           defektzaehler = defektzaehler +1;
       end
         
       fprintf(1,[num2str(l),'\n']);
   end
   ok
      
% single file mode   
elseif mode==2
   testjpgs(filename,filepath);
   ok
  
end

fprintf(1,'Defekte jpg-files:\n\n');
for i=1:defektzaehler-1
    fprintf(1,'%s',[char(defekt{i})]);
    fprintf(1,'\n');
end



return